/**
 *
 */
package org.gcube.datacatalogue.metadatadiscovery;

import java.util.List;

import org.gcube.datacatalogue.metadatadiscovery.bean.MetadataProfile;
import org.gcube.datacatalogue.metadatadiscovery.bean.jaxb.MetadataFormat;




/**
 * The Interface DataCatalogueMetadataDiscovery.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Mar 24, 2017
 */
public interface DataCatalogueMetadataDiscovery {


	/**
	 * Gets the list of metadata types.
	 *
	 * @return the list of metadata types
	 * @throws Exception the exception
	 */
	List<MetadataProfile> getListOfMetadataProfiles() throws Exception;


	/**
	 * Gets the metadata format for metadata type.
	 *
	 * @param type the type
	 * @return the metadata format for metadata type
	 * @throws Exception the exception
	 */
	MetadataFormat getMetadataFormatForMetadataProfile(MetadataProfile type) throws Exception;

}
